:root {
  font-family: Inter, Avenir, Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;

  color: #0f0f0f;
  background-color: #f6f6f6;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

.container {
  margin: 0;
  padding-top: 10vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.logo {
  height: 6em;
  padding: 1.5em;
  will-change: filter;
  transition: 0.75s;
}

.logo.tauri:hover {
  filter: drop-shadow(0 0 2em #24c8db);
}

.row {
  display: flex;
  justify-content: center;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}

a:hover {
  color: #535bf2;
}

h1 {
  text-align: center;
}

input,
button {
  /*border-radius: 8px;*/
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  color: #0f0f0f;
  background-color: #ffffff;
  transition: border-color 0.25s;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.2);
  border: 1px solid #acabab;
}

.button_empty{
  background: #0f0f0f;
}
.highlighted_empty{
  background: #2f2f2f;
}
.button_attacker{
  background: firebrick;
}
.button_defender{
  background: #e8e8e8;
}
.button_king{
  background: cadetblue;
}
button {
  cursor: pointer;
}

button:hover {
  border-color: #396cd8;
}
button:active {
  border-color: #396cd8;
  background-color: #e8e8e8;
}

input,
button {
  outline: none;
}

#greet-input {
  margin-right: 5px;
}

@media (prefers-color-scheme: dark) {
  :root {
    color: #f6f6f6;
    background-color: #2f2f2f;
  }

  a:hover {
    color: #24c8db;
  }

  input,
  button {
    color: #ffffff;
    background-color: #0f0f0f98;
  }
  button:active {
    background-color: #0f0f0f69;
  }
}
.game_selector {
  padding: 5px;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  background-color: #0f0f0f;
  min-width: 100px;
}

.play-grid{
  align-self: center;
  justify-self: center;
  outline: solid 1px black;
  justify-content: center;
  align-content: space-evenly;
  text-align:center;
}
.play-grid button {
  justify-self: center;
  width: 30px;
  height: 30px;
  margin: auto;
}
.div_row {
  margin: auto;
  align-self: center;
  justify-content: center;
  justify-self: center;
  align-content: center;

}

.dropbtn {

}
.dropdown {
  position: relative;
  display: inline-block;
}
.dropdown-value {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}
.dropdown-value a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-value a:hover {background-color: #2f2f2f}

.dropdown:hover .dropdown-value {display: block;}

.dropdown:hover .dropbtn {background-color: #396cd8;}


.game_selector{
  color: #e8e8e8;

}
.play-grid{
  margin: auto;
  align-self: center;
  justify-self: center;
}
.game-play-learn-buttons{
  justify-self: auto;
  padding-top: 5px;
}
.game_selector{
  color: #eceaea;
  outline: #ece8e8 solid 1px;
}
.game-play{
  padding-bottom: 30px;
}

